Subject: Re: [PATCH 2/2] Add support for host aliases in config files

From: Jon Loeliger <[email-masked]>
Date: Tue, 19 Feb 2008 09:11:11 -0600

Daniel Barkalow wrote:
> This allows users with different preferences for access methods to the
> same remote repositories to rewrite each other's URLs by pattern
> matching across a large set of similiarly set up repositories to each
> get the desired access.
> 
> For example, if you don't have a kernel.org account, you might want
> settings like:
> 
> [host "kernel.org"]
>       base = git://git.kernel.org/pub/
>       rewritebase = master.kernel.org:/pub
> 
> Then, if you give git a URL like:
> 
>   master.kernel.org:/pub/scm/linux/kernel/git/linville/wireless-2.6.git
> 
> it will act like you gave it:
> 
>   git://git.kernel.org/pub/scm/linux/kernel/git/linville/wireless-2.6.git
> 
> and you can cut-and-paste pull requests in email without fixing them
> by hand, for example.
> 
> Signed-off-by: Daniel Barkalow <[email-masked]>
> ---

So, I may be dense, but I'm having a hard time distinguishing
the names "base" and "rewritebase" just from a User Interface
perspective.  It's not clear to me which of those is the A and
which is the B part in s/A/B/.  "Rewritebase" might be the "from"
basis, or it might be the "to" basis.  Can we come up with more
descriptive property names here?

Is the rewrite always just prefix substitution/replacement?
What if there was some generic path rewrite needed? (KISS? :-))

Also, is "host" really the right config key?  Maybe "rewritehost"?
Or is this thought to be the basis of other (perhaps not rewrite
related) properties of the same host as well?

Maybe it's just me.

Thanks,
jdl